Bug 164270 - java.sql.SQLException: not yet implemented
java.sql.SQLException: not yet implemented
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 14:42 UTC by Exceptions Reporter
Modified: 2009-07-16 09:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.52 KB, text/plain)
2009-05-01 14:42 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2009-05-01 14:42:10 UTC
Build: NetBeans IDE 6.7 Beta (Build 200904280001)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-133, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b06-284
OS: Mac OS X, 10.5.6, i386

User Comments:
klauern: Expanded the PEOPLE table that I created in SQLITE.  I was also using the SQLite jdbc .jar (http://www.zentus.com/sqlitejdbc/).

GUEST: opening a test table in an sqlite3 db using the database explorer

GUEST: Browising a SQLite database

doug14: opened a table in a Rails app with sqlite3

GUEST: Tried to open a table on the services tab.
The database engine is sqlite3,
the driver used was copied from a jruby 1.2rc1.



Stacktrace: 
org.netbeans.modules.db.metadata.model.api.MetadataModelException: org.netbeans.modules.db.metadata.model.api.MetadataException: java.sql.SQLException: not yet implemented
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:99)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.explorer.node.ColumnNode.setupNames(ColumnNode.java:124)
        at org.netbeans.modules.db.explorer.node.ColumnNode.initialize(ColumnNode.java:116)
        at org.netbeans.api.db.explorer.node.BaseNode.setup(BaseNode.java:201)
        at org.netbeans.modules.db.explorer.node.ColumnNode.create(ColumnNode.java:92)
Comment 1 Exceptions Reporter 2009-05-01 14:42:15 UTC
Created attachment 81376 [details]
stacktrace
Comment 2 Jiri Rechtacek 2009-07-01 07:44:07 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 3 Jiri Rechtacek 2009-07-16 09:41:10 UTC
core-main/rev/8d4084347247


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo